Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005296TestLinkUser Interface Layoutpublic2012-10-19 14:202013-05-18 13:16
Reporterrentschler 
Assigned To 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version 
Summary0005296: Usability Improvement - Projet Screen - Access to User management
DescriptionOn the Project Screen different links to the same sub dialogues exist, e.g. for User Management, which is sometimes very confusing and does not support intuitive operation of the tool.

I think that usability and clarity of the interface design can be significantly improved when a reduction of these entries takes place.

This does also improve software quality through less complexity and a reduction of test scenarios.
Steps To ReproduceSee attached screenshot. All the entries marked in red should be removed, since they all lead to the same sub-dialog.
Only the green circled menu points should remain.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon TestLink_ProjectScreen_Usability_Improved_UserMgmt.JPG [^] (59,618 bytes) 2012-10-19 14:20


jpg file icon TestLink_ProjectScreen_Usability_Improved_A01.JPG [^] (112,096 bytes) 2012-10-22 07:48


jpg file icon TestLink_ProjectScreen_Usability_Improved_A02.JPG [^] (88,854 bytes) 2012-10-22 15:21


pdf file icon TINF11D_SRS_TestLink-ITF_Team3_0v14.pdf [^] (1,464,136 bytes) 2012-11-06 11:27
pdf file icon TINF11D_SRS_TestLink-ITF_Team3_1v3.pdf [^] (1,386,082 bytes) 2013-02-20 19:20
pdf file icon TINF11D_SAS_TestLink-ITF_Team3_2v4.pdf [^] (948,404 bytes) 2013-02-20 19:21
pdf file icon TINF11D_SRS_TestLink-ITF_Team3_1v18.pdf [^] (1,620,126 bytes) 2013-05-09 17:53
pdf file icon TINF11D_SAS_TestLink-ITF_Team3_2v8.pdf [^] (1,137,833 bytes) 2013-05-09 17:54
pdf file icon TINF11D_MOD_GUI_Team_3_0v16.pdf [^] (885,337 bytes) 2013-05-09 17:55
png file icon TestLink1.9.99.png [^] (77,966 bytes) 2013-05-10 17:19


pdf file icon testlink_user_manual.pdf [^] (1,847,695 bytes) 2013-05-10 17:23

- Relationships
parent of 0005324closedfman Usability Improvement - Toggle Active and public attributes from test project list 

-  Notes
(0017706)
rentschler (reporter)
2012-10-22 07:51

I had some more thoughts regarding usability improvements and painted the attached screen, where all the project management related things are now centralised in one dialogue.
Please let me know your opinions on this.
(0017707)
fman (administrator)
2012-10-22 09:08

Unfortunatelly what you would like to do can not be got from an image without explanations.
do you would like to use the central piece of screen?
Absolutelyt reject.
(0017708)
rentschler (reporter)
2012-10-22 09:49

We (a students group from Cooperative State University Stuttgart and me as the lecturer) are right now doing a usability analysis on TestLink as a students project.
This feature request 5296 is the very first outcome and -from our side- the discussion starter with the TestLink-Development-Team :-)
I am glad that you reacted to it.
The basic idea I have presented in my screenshot drawing follows the approach of most project- and testmanagement tools I am aware of.
I think it could improve usability a lot, when we strictly separate concerns and reduce complexity, which is not always the case in the current TestLink-GUI-Layout and its underlying workflow. We will also think about how explanations can be fit into that screen, maybe links to helptexts that open in a separate browser window ?

We will continue our analysis and keep you up-to-date. We also intend to implement our improvement suggestions, but would like to get consensus with you, since it would be good if these improvements can later become part of the mainstream TestLink.

Please let me know your opinion on this.
(0017711)
rentschler (reporter)
2012-10-22 15:24

I have added some explanations to the screen layout.

The menu items that are missing in this layout (compared to the original one) should in my opinion be placed in the related sub-dialogues belonging to "Requiremnts Specification", "Test Specification", "Test Execution", etc.
(0017712)
fman (administrator)
2012-10-22 17:59

As any other of GUI is matter of taste/personal opinion, do not think your approach is going to improve usability.
Anyway you can fork our git repo and do your work there allowing other users to use/judge

It will be a lot more useful help us to replace frames.
I've taking this issue just to avoid any other dev start any kind of development.
This area is not hot for me at this moment.

Any kind of collaboration will be welcomed

regards

Francisco
(0017715)
rentschler (reporter)
2012-10-23 07:20

Hello Francisco,

regarding the frame replacement: Can you define (or point us to) some working packages that could be distributed among the students ?

Regarding the usability improvement we will do it as you suggest and try to get some feedback from other users. It is not a big thing anyway, because we do not intend to change underlying dialogues, just mainly the calling structure on the top level (Project Screen).

Best Regards,
         Markus
(0017747)
TestLink-ITF (reporter)
2012-10-28 17:18

Hi Francisco,

this is the student group mentioned above by Mr Rentschler.

For our student project we need to create a System Architecture Specification (SAS) document. For this purpose we are missing some architectural information about the testlink system, such as Class Diagrams (UML Diagrams) or other documentation helping us to understand and document the system architecture.

We already have found the following docs:
- User Manual (very few information)
- Developer guide
- class reference v1.8 (http://www.teamst.org/_tldoc/1.8/phpdoc_lib/ [^])

This is quite ok so far, but we are trying to avoid going through all the code and references to create the graphical (uml) diagrams we need.

Do you have anything that could help us in this case? Something that explains the system structure at one sight?

Kind regards and greetings from Stuttgart
The TestLink Student Team
(0017748)
fman (administrator)
2012-10-28 17:45
edited on: 2012-10-28 18:01

we do not have any UML class diagrams, I'm going to create for you a google doc with us much as possible info.
I hope you will create a better doc and provide us as result of your work.

Is better if you use 1.9.x code base.
On www.teamst.org and on our twitter (http://twitter.com/#!/TLOpenSource [^])
you will be able to found references to work done by other not part of Dev. Team.

You can get some insight analizing the DB SCHEMA (there is a mantis ticket with it).
Stay tunned

Important thing (you are at university, then I expect better than normal user
details on issue reporting):
>> User Manual (very few information)
very few means nothing in engineering world (I have a degree on Electronics Engineering)
=> please detail what is the missing info, or why in your opinion is few.

(0017762)
fman (administrator)
2012-11-02 10:45

I would like to know if you have got the document, if there are more questions, etc because I've received no feedback.
(0017764)
TestLink-ITF (reporter)
2012-11-03 15:34

Hello fman.

Thank you for the document provided to us. It gave us a little help to get a rough structure and understanding the TestLink sources.
At the moment we are doing the System Architecture Specification which should be ready within the next weeks. Besides we are trying to draw a class diagramm of testlink, which isn't easy - but we are moving on.

In the next few days we will provide our System Requirement Specification (SRS) document to you. In this document we have analysed the GUI of TestLink and descripted what we are planning to change.

We are planning to do our changes top-down: Begin with the project-overview screen and then going to the deeper GUIs like requirement specification and so on. There we will see how far we can go. The plan is to give an idea how a modern GUI for a better workflow could look like in the parts we can implement in our limited time. When our project module is over there will still be GUIs which we couldn't modernise, but the intention and structure of our ideas should be clear enough for anyone else to complete this.
We also will create a documentation so further work should be easier.

Please note that there will be a time with less work for this project from our side from middle of November to the beginning of March. At this period we aren't at university and work at the daily business of our companies. The main part of implementation, testing and documentation will be from March to the deadline of our project at middle of May.

regards,
the testlink student team
(0017767)
fman (administrator)
2012-11-03 20:44

OK. thanks for the feedback
(0017778)
TestLink-ITF (reporter)
2012-11-06 11:29

As promised, we have attached our System Requirements Specification: TINF11D_SRS_TestLink-ITF_Team3_0v14.pdf
(0017779)
fman (administrator)
2012-11-06 11:30

Thanks, just printing to read.
best regards
(0017780)
rentschler (reporter)
2012-11-06 14:25

Hello TestLink-ITF :-)

I have just reviewed your current SRS version. I have the following remarks:

1. Objectives
SDLC-Management instead of Test Management: Very Good

2.2 Example Workflow
Should be adjusted to the SDLC-Workflow approach and start with Requirements specification, not with Testcase specification.
I would also suggest to change the global labelling "Test Project" simply to "Project".

For the future -to achieve a full SDLC capability- one should also keep in mind the traceability towards source code artefacts in a software project. This would require a hook in the projects sourcecode repository.
A typical use case of this is:
1) A source code file gets changed -> 2)The related requirements are marked untested -> 3)The related testcases can be (automatically) formed as a new test suite.
I think this could be added as an optional new feature to the SRS.

Best Regards,
       Markus Rentschler
(0017781)
rentschler (reporter)
2012-11-06 14:42

/UP012/, Figure 5: For display and filtering purposes, it would be good to have an organizational (or user-group) name, indicating to which organization or location an individual user belongs to. This is very helpful when different teams work on the same project.
This would probably mean to extend the user data model, which seems to not currently support this.

/.../ It would be good to be able to find out when and by whom a user was created. I am not sure if this is logged somewhere within TestLink.
(0017782)
rentschler (reporter)
2012-11-06 14:47
edited on: 2012-11-06 15:10

/UP022/ and /UP031/ are bugs to fix, not features to implement!
Please categorize them accordingly.

(0017783)
rentschler (reporter)
2012-11-06 15:05
edited on: 2012-11-06 15:12

/6.2/ GUI Draft

What is "Integration" meant for ?
I suggest to rely on the existing naming conventions as much as possible and use for example the following tab naming and sequence:

1) Requirements (specify requirements and support for the creation of testcases, manage traceability towards testcases and source code artefacts)

2) Test Specification (specify testcases and manage traceability towards requirements)

3) Test Management (group testsuites, assign to testers and track execution)

4) Bug Tracking (track bugs and manage traceability towards source code artefacts, requirements and test cases)

"current Project" should in my opinion be renamed to Project Admin" and the entry towards a Project Administration dialogue, not a list to select from.



(The text in brackets is just explanation)

(0017784)
fman (administrator)
2012-11-06 17:15
edited on: 2012-11-06 18:19

I've read the document and I have some things to point to.
First one is that IMHO there are at least a couple for terms that can not be present in a document like 'stupid' and 'non sense'.
I've never seen a publication from IEEE or ACM using this terms, surelly there is a better alternative like.
Example:
Problem ID: /UP035/
Description: “Requirements Overview” constantly shows stupid help text.

Suggested change
Description: “Requirements Overview” constantly shows 'bla,bla,bla (put here the help you got)', this has low value.

What will be your mood if rentschler writes ' ... all your SRS is full of S..d things ...' ?
If not a matter of being sensible to critics, but the level of language that
have to be used.

In addition pure critic without arguments has IMHO low value, because you do not provide a chance to the people to are directing critics, to understand
learn, think and change.

ID: /UP033/
Description: Filter boxes are ugly.
Improvement: Beautify them.

I'm not an expert of GUI Design field, but expect there will well stablished standards,
then when saying something is not good IMHO you have to explain why.
UGLY means something for you and another things for me.
Same apply to beautify

ID: /UP034/
Description: Filters do not accept wildcards.
Suggestion: Add simple wildcard/regex functionality.

1. Please define simple.
2. you need to think about perfomance issues

ID: /UP022/
Description: Issue Tracker can be set even though issue tracker is disabled
Suggestion: Disable Combo Box when feature is not enabled.

Do not think this increase usability.
IMHO create no harm, and allow user to understand availables choices without
the need of enable it.

ID:/UP001/
Description: Insufficient response after failed login.
Suggestion: Display more information for the user.

What do you mean by 'insufficient' ?
Please explain what are the missing pieces, without this data no action can be planned.

ID:/UP003/
Description: Too much information.(Figure 3: Main Page; 1)
Suggestion: Split content into individual tabs.

1. What is too much? 3 items, 10 items, 100 items ?
2. what id the propossed split ?

ID:/UP004/
Is not clear how this affect usability.
Regarding:
Reading the documentation is not a workflow done after logging in,
it should be grouped and placed elsewhere.

What are the facts that backup this sentence ?

ID:/UP005/
Description: An extra point for creation of test specification documents
does not make sense on main page. (Figure 3: Main Page; 3)
Please explain why do not makes sense.

ID:/UP006/
Description: An extra point for adding keywords to test suite or test case decreases usability.

Disagree, provide elements that backup this sentence.

ID:/UP012/
Description: Unnecessary information in overview table.
Please explain which is the unnecessary info, and why

ID: /UP014/
Description: A user role can be applied to all users at once.
This is possible in “Assign Test Project roles” and “Assign Test Plan roles”.
Suggestion: This is not necessary and does not make sense.
Why would anyone want to change the user roles of all users assigned to a project?

IMHO not all the things you are not able to understand can be considered NON SENSE.
In addition if you do not find a USE CASE to support this feature, this only means this That you has been not able to find a USE CASE .
Asking for help will be IMHO a better approach.

ID: /UP041/
Description: This setting is preposterous

This setting do no harm, and is useful for people, IMHO has to be leave as is.

ID: /UP042/
Description: Filter function is too large and should not be such a waste of
space.

What does means waste of space?
what useful info (in your opinion) has been removed to provide place for this
'waste of space'

ID:UP045
Description: Creating a test specification is too complicated.

'too complicated? according to what standards?
what are the criteria you have used to reach this conclusion ?


Suggestion: Implement a simpler way of creating test specifications.

How this simpler way be done ? Please provide example

ID:/UP056/
Suggestion: Show the maximum file size in an understandable unit.

Define what is for you 'understandable unit'.

ID:/UP064/
Strange colors when adding/removing test cases.

It would be great to understand why yellow is an 'strange color'.
What is the right color to use? required by what standard ?

(0017786)
rentschler (reporter)
2012-11-07 07:50

Hi Francisco,

"I've read the document and I have some things to point to.
First one is that IMHO there are at least a couple for terms that can not be present in a document like 'stupid' and 'non sense'.
I've never seen a publication from IEEE or ACM using this terms, surelly there is a better alternative like."

Good Point. You are perfectly right. Decent wording is important.

Best Regards,
         Markus
(0018138)
TestLink-ITF (reporter)
2013-01-08 19:46

Hi fman,

at first we would like to apologize for the bad word choice mentioned by both of you.
Thank you for your remarks, we have taken them into consideration and are currently reworking the SRS. We will then provide you with the newest version of the SRS and SAS as soon as possible.

First of all, regarding the following of Mr. Rentschler's comments:
"/UP012/, Figure 5: For display and filtering purposes, it would be good to have an organizational (or user-group) name, indicating to which organization or location an individual user belongs to. This is very helpful when different teams work on the same project.
This would probably mean to extend the user data model, which seems to not currently support this.

/.../ It would be good to be able to find out when and by whom a user was created. I am not sure if this is logged somewhere within TestLink."

"For the future -to achieve a full SDLC capability- one should also keep in mind the traceability towards source code artefacts in a software project. This would require a hook in the projects sourcecode repository.
A typical use case of this is:
1) A source code file gets changed -> 2)The related requirements are marked untested -> 3)The related testcases can be (automatically) formed as a new test suite.
I think this could be added as an optional new feature to the SRS."

We will be doing a usability rework, we will not implement new functionality. From our point of view, these points are other feature requests.


Regarding fman's comments:
- We have improved our word choice and explanations / improvement suggestions in general, most of the points should now be easier to understand. If not, it is our decision in design. Up to a certain point, user interfaces are a matter of taste.

-"ID:/UP004/ Is not clear how this affect usability."
Daily business does not include reading the TestLink Documentation. It is done unfrequently and will be more of distraction. We are planning to move it to a more appropriate place. This will also reduce the amount of options offered on the main page.

- "It would be great to understand why yellow is an 'strange color'."
Yellow is the color of caution and warning. Additionally, most of the design elements are in blue or gray. Yellow is pointing out.

Kind regards and greetings from Stuttgart
The TestLink Student Team
(0018231)
rentschler (reporter)
2013-01-26 11:20

I have one more suggestion to ID/UP004/ TestLink Documentation.

I think it would be most efficient to have only a single resource for helptexts. This should in my opinion be the Manual PDF that is called and openend in a PDF-reader at the appropriate chapter when in one of the WEB-GUI dialogs the "HELP"-Button is clicked.

Maintainability of only one text document of this kind is much easier to handle! Of course there must be a PDF for every supported language.

As a side effect, removal of texts out of the GUI ahould make the GUI faster.
(0018232)
fman (administrator)
2013-01-26 11:47

>> As a side effect, removal of texts out of the GUI ahould make the GUI faster.
it would be great to understand what will be the improvement on GUI speed
10%,20%,90% ?
As you know no work can be planned or started without having a clear measure of effort to be done / improvement to get

what is said on note (0018138) regarding "ID:/UP004/ Is not clear how this affect usability." at least IMHO will not produce any kind of advantage.
(0018360)
TestLink-ITF (reporter)
2013-02-20 19:25

Hi fman,

thanks for reopening this thread.
We have attached a new version of our SRS, where we updated some of our /UP/s after discussing your feedback.

Regarding /UP034/:
We think, that performance issues can be neglected, because the field data is usually very small. The comfort for the user exceeds the minimalistic performance drain.
But as we are doing GUI redesign only and this is a new feature we won't implement this. So it is just an impulse for a new feature to you.

Additionally, we attached our current version of the Software Architecture Specification (SAS).

Starting 4th of March, we will have more time to work on this project.

Best regards,
The TestLink Student Team
(0018456)
TestLink-ITF (reporter)
2013-03-17 20:26

Hi fman,

as we are making progress in the development of the new GUI, we need to document that progress to both future developers as well as end users.
We were wondering, if we could use and adapt the existing documentations/manuals. Could you please send us the original documentation documents? We only found pdf-versions of them, which are hard to edit.

Thanks in advance,
The TestLink Student Team
(0018458)
fman (administrator)
2013-03-18 09:46

go to gitorious testlink repository, and look for documentation
(0018928)
rentschler (reporter)
2013-05-10 17:18

Dear TestLink-Community,

the student team has finished its TestLink-Improvement project for the current accademic year and produced a version TestLink 1.9.99.
The main change is the navigation bar and a different handling of the helptexts.
With this, the GUI's has now a improved usability and looks more modern. See the attached screenshot to get a first impression of our new GUI.

We will soon have this version 1.9.99 available online as a test installation. We then plan to open a new issue thread here in MANTIS to collect review comments on our version. This feedback is intended to be used as input for the next student team in the coming academic year starting in September 2013 to continue the improvement of TestLink.

Your suggestions on how to proceed are more than welcome!
(0018929)
fman (administrator)
2013-05-10 19:39
edited on: 2013-05-10 19:47

Because you are following your own path without any management or communication (in regular basis) done by Dev team IMHO has no sense you use this mantis.
Best thing to do is that you creat a repository that forks on github or gitorious or bitbuck with your own issue tracker because I do not want to confuse users, making them think that your experiments will be in some future part of the stable code.
I think forking is in the spirit of GIT / Social coding, and then is ok.

IMHO 'From our point of view usability has been improved' is lot better
tha ' ..improved usability ..'.
Point of view are always (or at least 99% relative and not absolute)

Other important thing is ' you can not attribute TestLink version number'
(same way I can not attribute a version number to a mantis fork),
then I suggest (and kindly request) you change 1.9.99 to
'TestLink 1.9 - Cooperative State University Stuttgart GUI'.

Another important point
We have providede you access to our manuals and documentation in odt format,
allowing you to do changes.
Please provide us same format for all documentation you have generated/changed.
In addition access to repository with changed code is needed, if we can try to add someday your changes.

(0018930)
rentschler (reporter)
2013-05-10 20:03

Hello fman,

it was never our intention to create our own fork of TestLink. We have created this experimental version 1.9.99 mainly for demonstration purposes of the new GUI usability.
We hope of course that our improvements will find way into the TestLink mainstream. To decide on whether you will adopt some or all of our changes, we will soon have our test installation 1.9.99 online and hope to get some feedback on it.
I support your suggestion regarding the renaming of ou version to 'TestLink 1.9 - Cooperative State University Stuttgart GUI' and ask the students to do this renaming.

The students will also provide you with all the code and documentation source files.

Would you be interested in a regular cooperation with the new student team starting in september? If yes, we should discuss how to organize this.
(0018931)
fman (administrator)
2013-05-11 07:54

From my experience in the git way of working (last two years) forking to add new features of experimenting is good and the way to go (IMHO).
Several OpenSource project have in it's main web page the banner 'Fork me in github', not to encourge people duplicate work, but to allow people to experiment
create some new features/improvements and give possibility to community to have it in a controlled way.
Then the owner of main line of development can accept or not the merge requests.
That was the idea of my comment.

Please contact me on my gmail account to discuss about cooperation
(francisco.mancardi@gmail.com)
If not something that has to be discussed on a TICKET system like mantis

have a nice week end

- Issue History
Date Modified Username Field Change
2012-10-19 14:20 rentschler New Issue
2012-10-19 14:20 rentschler File Added: TestLink_ProjectScreen_Usability_Improved_UserMgmt.JPG
2012-10-20 08:01 fman Assigned To => fman
2012-10-20 08:01 fman Status new => assigned
2012-10-22 07:48 rentschler File Added: TestLink_ProjectScreen_Usability_Improved_A01.JPG
2012-10-22 07:51 rentschler Note Added: 0017706
2012-10-22 09:08 fman Note Added: 0017707
2012-10-22 09:49 rentschler Note Added: 0017708
2012-10-22 15:21 rentschler File Added: TestLink_ProjectScreen_Usability_Improved_A02.JPG
2012-10-22 15:24 rentschler Note Added: 0017711
2012-10-22 17:59 fman Note Added: 0017712
2012-10-23 07:20 rentschler Note Added: 0017715
2012-10-28 17:18 TestLink-ITF Note Added: 0017747
2012-10-28 17:45 fman Note Added: 0017748
2012-10-28 18:01 fman Note Edited: 0017748 View Revisions
2012-11-02 10:45 fman Note Added: 0017762
2012-11-03 15:34 TestLink-ITF Note Added: 0017764
2012-11-03 20:44 fman Note Added: 0017767
2012-11-06 11:27 TestLink-ITF File Added: TINF11D_SRS_TestLink-ITF_Team3_0v14.pdf
2012-11-06 11:29 TestLink-ITF Note Added: 0017778
2012-11-06 11:30 fman Note Added: 0017779
2012-11-06 14:25 rentschler Note Added: 0017780
2012-11-06 14:42 rentschler Note Added: 0017781
2012-11-06 14:47 rentschler Note Added: 0017782
2012-11-06 15:05 rentschler Note Added: 0017783
2012-11-06 15:09 rentschler Note Edited: 0017783 View Revisions
2012-11-06 15:10 rentschler Note Edited: 0017783 View Revisions
2012-11-06 15:10 rentschler Note Edited: 0017782 View Revisions
2012-11-06 15:12 rentschler Note Edited: 0017783 View Revisions
2012-11-06 17:15 fman Note Added: 0017784
2012-11-06 17:19 fman Note Edited: 0017784 View Revisions
2012-11-06 17:20 fman Note Edited: 0017784 View Revisions
2012-11-06 17:22 fman Note Edited: 0017784 View Revisions
2012-11-06 17:46 fman Note Edited: 0017784 View Revisions
2012-11-06 17:48 fman Note Edited: 0017784 View Revisions
2012-11-06 17:49 fman Note Edited: 0017784 View Revisions
2012-11-06 17:50 fman Note Edited: 0017784 View Revisions
2012-11-06 17:52 fman Note Edited: 0017784 View Revisions
2012-11-06 17:54 fman Note Edited: 0017784 View Revisions
2012-11-06 17:57 fman Note Edited: 0017784 View Revisions
2012-11-06 18:02 fman Note Edited: 0017784 View Revisions
2012-11-06 18:16 fman Note Edited: 0017784 View Revisions
2012-11-06 18:17 fman Note Edited: 0017784 View Revisions
2012-11-06 18:19 fman Note Edited: 0017784 View Revisions
2012-11-06 20:54 fman Relationship added parent of 0005324
2012-11-07 07:50 rentschler Note Added: 0017786
2013-01-08 19:46 TestLink-ITF Note Added: 0018138
2013-01-26 11:20 rentschler Note Added: 0018231
2013-01-26 11:47 fman Note Added: 0018232
2013-02-12 20:27 fman Status assigned => closed
2013-02-12 20:27 fman Resolution open => suspended
2013-02-13 13:50 fman Status closed => new
2013-02-20 19:20 TestLink-ITF File Added: TINF11D_SRS_TestLink-ITF_Team3_1v3.pdf
2013-02-20 19:21 TestLink-ITF File Added: TINF11D_SAS_TestLink-ITF_Team3_2v4.pdf
2013-02-20 19:25 TestLink-ITF Note Added: 0018360
2013-03-17 20:26 TestLink-ITF Note Added: 0018456
2013-03-18 09:46 fman Note Added: 0018458
2013-05-09 17:53 TestLink-ITF File Added: TINF11D_SRS_TestLink-ITF_Team3_1v18.pdf
2013-05-09 17:54 TestLink-ITF File Added: TINF11D_SAS_TestLink-ITF_Team3_2v8.pdf
2013-05-09 17:55 TestLink-ITF File Added: TINF11D_MOD_GUI_Team_3_0v16.pdf
2013-05-10 17:18 rentschler Note Added: 0018928
2013-05-10 17:19 rentschler File Added: TestLink1.9.99.png
2013-05-10 17:23 rentschler File Added: testlink_user_manual.pdf
2013-05-10 19:39 fman Note Added: 0018929
2013-05-10 19:46 fman Note Edited: 0018929 View Revisions
2013-05-10 19:46 fman Note Edited: 0018929 View Revisions
2013-05-10 19:47 fman Note Edited: 0018929 View Revisions
2013-05-10 20:03 rentschler Note Added: 0018930
2013-05-11 07:54 fman Note Added: 0018931
2013-05-18 13:16 fman Status new => closed
2013-05-18 13:16 fman Assigned To fman =>



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker